package com.hzya.frame.sys.thirdparty.api.certification.entity;

import java.util.Date;
import cn.dev33.satoken.stp.StpUtil;
import com.hzya.frame.uuid.UUIDUtils;
import com.hzya.frame.web.entity.BaseEntity;
import org.springframework.format.annotation.DateTimeFormat;
import com.fasterxml.jackson.annotation.JsonFormat;
import java.math.BigDecimal;
/**
 * @description: 第三方应用接口认证信息表
 * @tableName:   sys_thirdparty_api_certification
 * @entityName:  SysThirdpartyapiCertification
 * @author: 	 llg
 * @history:	 1.0
 */
public class  SysThirdpartyapiCertification  extends BaseEntity {

	/** 唯一标识码 */
	private String id;
	/** 接口id */
	private String thirdpartyApiId;
	/** 接口 */
	private String apiName;
	/** 参数名称 */
	private String parameterName;
	/** 是否预警 */
	private String isWarning;
	/** 数据类型 */
	private String dataType;
	/** 数据规范 */
	private String dataSpecification;
	/** 是否必填 */
	private String requireds;
	/** 参数说明 */
	private String parameterDescription;
	/** 参数赋值 */
	private String parameterValue;
	/** 认证参数 */
	private String authenticationParameter;
	/** 有效时长 */
	private String effectiveDuration;
	/** 排序号 */
	private Long sorts;
	/** 创建人id */
	private String orgId;
	/** 状态(Y正常N删除) */
	private String sts;
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date createTime;
	/** 创建人id */
	private String createUserId;
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date modifyTime;
	/** 修改人id */
	private String modifyUserId;
	private String sort;
	private String order;

	public String getSort() {
		return sort;
	}

	public void setSort(String sort) {
		this.sort = sort;
	}

	public String getOrder() {
		return order;
	}

	public void setOrder(String order) {
		this.order = order;
	}

	/** 唯一标识码 */
	public void setId(String id) {
		this.id = id;
	}
	/** 唯一标识码 */
	public String getId() {
		return id;
	}
	/** 接口id */
	public void setThirdpartyApiId(String thirdpartyApiId) {
		this.thirdpartyApiId = thirdpartyApiId;
	}
	/** 接口id */
	public String getThirdpartyApiId() {
		return thirdpartyApiId;
	}
	/** 接口 */
	public void setApiName(String apiName) {
		this.apiName = apiName;
	}
	/** 接口 */
	public String getApiName() {
		return apiName;
	}
	/** 参数名称 */
	public void setParameterName(String parameterName) {
		this.parameterName = parameterName;
	}
	/** 参数名称 */
	public String getParameterName() {
		return parameterName;
	}
	/** 是否预警 */
	public void setIsWarning(String isWarning) {
		this.isWarning = isWarning;
	}
	/** 是否预警 */
	public String getIsWarning() {
		return isWarning;
	}
	/** 数据类型 */
	public void setDataType(String dataType) {
		this.dataType = dataType;
	}
	/** 数据类型 */
	public String getDataType() {
		return dataType;
	}
	/** 数据规范 */
	public void setDataSpecification(String dataSpecification) {
		this.dataSpecification = dataSpecification;
	}
	/** 数据规范 */
	public String getDataSpecification() {
		return dataSpecification;
	}
	/** 是否必填 */
	public void setRequireds(String requireds) {
		this.requireds = requireds;
	}
	/** 是否必填 */
	public String getRequireds() {
		return requireds;
	}
	/** 参数说明 */
	public void setParameterDescription(String parameterDescription) {
		this.parameterDescription = parameterDescription;
	}
	/** 参数说明 */
	public String getParameterDescription() {
		return parameterDescription;
	}
	/** 参数赋值 */
	public void setParameterValue(String parameterValue) {
		this.parameterValue = parameterValue;
	}
	/** 参数赋值 */
	public String getParameterValue() {
		return parameterValue;
	}
	/** 认证参数 */
	public void setAuthenticationParameter(String authenticationParameter) {
		this.authenticationParameter = authenticationParameter;
	}
	/** 认证参数 */
	public String getAuthenticationParameter() {
		return authenticationParameter;
	}
	/** 有效时长 */
	public void setEffectiveDuration(String effectiveDuration) {
		this.effectiveDuration = effectiveDuration;
	}
	/** 有效时长 */
	public String getEffectiveDuration() {
		return effectiveDuration;
	}
	/** 排序号 */
	public void setSorts(Long sorts) {
		this.sorts = sorts;
	}
	/** 排序号 */
	public Long getSorts() {
		return sorts;
	}
	/** 创建人id */
	public void setOrgId(String orgId) {
		this.orgId = orgId;
	}
	/** 创建人id */
	public String getOrgId() {
		return orgId;
	}
	/** 状态(Y正常N删除) */
	public void setSts(String sts) {
		this.sts = sts;
	}
	/** 状态(Y正常N删除) */
	public String getSts() {
		return sts;
	}
	/** 创建时间 */
	public void setCreateTime(Date createTime) {
		this.createTime = createTime;
	}
	/** 创建时间 */
	public Date getCreateTime() {
		return createTime;
	}
	/** 创建人id */
	public void setCreateUserId(String createUserId) {
		this.createUserId = createUserId;
	}
	/** 创建人id */
	public String getCreateUserId() {
		return createUserId;
	}
	/** 修改时间 */
	public void setModifyTime(Date modifyTime) {
		this.modifyTime = modifyTime;
	}
	/** 修改时间 */
	public Date getModifyTime() {
		return modifyTime;
	}
	/** 修改人id */
	public void setModifyUserId(String modifyUserId) {
		this.modifyUserId = modifyUserId;
	}
	/** 修改人id */
	public String getModifyUserId() {
		return modifyUserId;
	}




}
